<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>hu.webvalto.examples</groupId>
    <artifactId>web-examples</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>
    <modules>
        <module>dynamic-web-example</module>
        <module>ajax-web-example</module>
        <module>servlet-example</module>
        <module>servlet-31-example</module>
        <module>websocket-example</module>
        <module>tcp-chat-server</module>
        <module>url-post-example</module>
        <module>http-server-example</module>
        <module>jsp-example</module>
        <module>jsf-example</module>
        <module>jaxrs-example</module>
        <module>vaadin8-example</module>
        <module>https-server-example</module>
        <module>long-polling-example</module>
        <module>uibuilder-example</module>
    </modules>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>